Package java.nio.channels

# Class FileChannel.MapMode

java.lang.Object
java.nio.channels.FileChannel.MapMode

Enclosing class:
  `FileChannel`

public static class FileChannel.MapMode extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final FileChannel.MapMode`
`PRIVATE`
`static final FileChannel.MapMode`
`READ_ONLY`
`static final FileChannel.MapMode`
`READ_WRITE`

## Constructor Summary

Constructors
Constructor
Description
`MapMode()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### READ_ONLY

public static final FileChannel.MapMode READ_ONLY

### READ_WRITE

public static final FileChannel.MapMode READ_WRITE

### PRIVATE

public static final FileChannel.MapMode PRIVATE

## Constructor Details

### MapMode

public MapMode()